<?php
/**
 * This template generates links to social media icons once set in the theme theme customizer options.  
 *
 * @package Claydell Media
 */
?>

	<ul>
		<?php if ( get_theme_mod( 'rss' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'rss' ) ); ?>" class="genericon genericon-feed" title="<?php echo esc_url( get_theme_mod( 'rss' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'twitter' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'twitter' ) ); ?>" class="genericon genericon-twitter" title="<?php echo esc_url( get_theme_mod( 'twitter' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'facebook' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'facebook' ) ); ?>" class="genericon genericon-facebook" title="<?php echo esc_url( get_theme_mod( 'facebook' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'googleplus' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'googleplus' ) ); ?>" class="genericon genericon-googleplus" title="<?php echo esc_url( get_theme_mod( 'googleplus' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'flickr' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'flickr' ) ); ?>" class="genericon genericon-flickr" title="<?php echo esc_url( get_theme_mod( 'flickr' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'linkedin-alt' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'linkedin-alt' ) ); ?>" class="genericon genericon-linkedin-alt" title="<?php echo esc_url( get_theme_mod( 'linkedin' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'wordpress' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'wordpress' ) ); ?>" class="genericon genericon-wordpress" title="<?php echo esc_url( get_theme_mod( 'wordpress' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>	
		
		<?php if ( get_theme_mod( 'pinterest-alt' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'pinterest-alt' ) ); ?>" class="genericon genericon-pinterest-alt" title="<?php echo esc_url( get_theme_mod( 'pinterest' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'youtube' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'youtube' ) ); ?>" class="genericon genericon-youtube" title="<?php echo esc_url( get_theme_mod( 'youtube' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'vimeo' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'vimeo' ) ); ?>" class="genericon genericon-vimeo" title="<?php echo esc_url( get_theme_mod( 'vimeo' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'dribble' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'dribble' ) ); ?>" class="genericon genericon-dribble" title="<?php echo esc_url( get_theme_mod( 'dribble' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>	
		
		<?php if ( get_theme_mod( 'tumblr' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'tumblr' ) ); ?>" class="genericon genericon-tumblr" title="<?php echo esc_url( get_theme_mod( 'tumblr' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>

		<?php if ( get_theme_mod( 'github' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'github' ) ); ?>" class="genericon genericon-github" title="<?php echo esc_url( get_theme_mod( 'github' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>
		
		<?php if ( get_theme_mod( 'instagram' ) ) : ?>
			<li><a href="<?php echo esc_url( get_theme_mod( 'instagram' ) ); ?>" class="genericon genericon-instagram" title="<?php echo esc_url( get_theme_mod( 'instagram' ) ); ?>" target="_blank"></a></li>
		<?php endif; ?>		

	</ul><!-- #social-icons-->